
package de.ivu.elect.business.kandidatur.boundary;

import java.io.Serializable;

import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.business.wahl.entity.Wahl;

public class EinzelbewerberKandidaturKonfiguration implements Serializable {

  private static final long serialVersionUID = 1L;

  public EinzelbewerberKandidaturKonfiguration() {
    super();
  }

  public boolean isEinzelbewerberDirektkandidaturAnlegenZulaessig(Gebiet gebiet) {
    return gebiet != null && gebiet.isDirektwahlgebiet() && isEinzelbewerberDirektkandidaturAnlegenZulaessig(gebiet.getWahl());
  }

  public boolean isEinzelbewerberDirektkandidaturAnlegenZulaessig(Wahl wahl) {
    return wahl != null;
  }

  public boolean isEinzelbewerberListenkandidaturAnlegenZulaessig(Gebiet gebiet) {
    return gebiet != null && gebiet.isListenwahlgebiet() && isEinzelbewerberListenkandidaturAnlegenZulaessig(gebiet.getWahl());
  }

  public boolean isEinzelbewerberListenkandidaturAnlegenZulaessig(Wahl wahl) {
    return false; // ELECT-12006
  }
}
